/* 
 * Copyright (c) 2000  Takuya SHIOZAKI
 * 
 * Permission is hereby granted, free of charge, to any person obtaining
 * a copy of this software and associated documentation files (the
 * "Software"), to deal in the Software without restriction, including
 * without limitation the rights to use, copy, modify, merge, publish,
 * distribute, sublicense, and/or sell copies of the Software, and to
 * permit persons to whom the Software is furnished to do so, subject to
 * the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 * IN NO EVENT SHALL TAKUYA SHIOZAKI BE LIABLE FOR ANY CLAIM, DAMAGES OR
 * OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
 * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 * OTHER DEALINGS IN THE SOFTWARE.
 * 
 * Except as contained in this notice, the name of Takuya SHIOZAKI shall
 * not be used in advertising or otherwise to promote the sale, use or
 * other dealings in this Software without prior written authorization
 * from Takuya SHIOZAKI.
 *
 * $Id: CharClock.h,v 1.8 2000/12/11 17:36:01 tshiozak Exp $
 *
 */

#ifndef _CharClock_h
#define _CharClock_h

#define XtNclockTime1 "clockTime1"
#define XtCClockTime1 "ClockTime1"
#define XtNclockTime2 "clockTime2"
#define XtCClockTime2 "ClockTime2"
#define XtNclockDate1 "clockDate1"
#define XtCClockDate1 "ClockDate1"
#define XtNclockDate2 "clockDate2"
#define XtCClockDate2 "ClockDate2"
#define XtNclockAm "clockAm"
#define XtCClockAm "ClockAm"
#define XtNclockPm "clockPm"
#define XtCClockPm "ClockPm"
#define XtNclockSun "clockSun"
#define XtCClockSun "ClockSun"
#define XtNclockMon "clockMon"
#define XtCClockMon "ClockMon"
#define XtNclockTue "clockTue"
#define XtCClockTue "ClockTue"
#define XtNclockWed "clockWed"
#define XtCClockWed "ClockWed"
#define XtNclockThu "clockThu"
#define XtCClockThu "ClockThu"
#define XtNclockFri "clockFri"
#define XtCClockFri "ClockFri"
#define XtNclockSat "clockSat"
#define XtCClockSat "ClockSat"
#define XtNclockBiTmap1 "clockBiTmap1"
#define XtCClockBiTmap1 "ClockBiTmap1"
#define XtNclockEpBiTmap01 "clockEpBiTmap01"
#define XtCClockEpBiTmap01 "ClockEpBiTmap01"
#define XtNclockEpBiTmap02 "clockEpBiTmap02"
#define XtCClockEpBiTmap02 "ClockEpBiTmap02"
#define XtNclockEpX "clockEpX"
#define XtCClockEpX "ClockEpX"
#define XtNclockEpY "clockEpY"
#define XtCClockEpY "ClockEpY"
#define XtNclockEpClosedTime "clockEpClosedTime"
#define XtCClockEpClosedTime "ClockEpClosedTime"
#define XtNclockEpIntervalMin "clockEpIntervalMin"
#define XtCClockEpIntervalMin "ClockEpIntervalMin"
#define XtNclockEpIntervalMax "clockEpIntervalMax"
#define XtCClockEpIntervalMax "ClockEpIntervalMax"
#define XtNclockTimePeriod "clockTimePeriod"
#define XtCClockTimePeriod "ClockTimePeriod"
#define XtNhTopLeftX "hTopLeftX"
#define XtCHTopLeftX "HTopLeftX"
#define XtNhTopLeftY "hTopLeftY"
#define XtCHTopLeftY "HTopLeftY"
#define XtNerExtentX "erExtentX"
#define XtCErExtentX "ErExtentX"
#define XtNerExtentY "erExtentY"
#define XtCErExtentY "ErExtentY"
#define XtNmsLeftXplus "msLeftXplus"
#define XtCMsLeftXplus "MsLeftXplus"
#define XtNmsLeftYplus "msLeftYplus"
#define XtCMsLeftYplus "msLeftYplus"
#define XtNfukidashiTapTopLeftX "fukidashiTapTopLeftX"
#define XtCFukidashiTapTopLeftX "FukidashiTapTopLeftX"
#define XtNfukidashiTapTopLeftY "fukidashiTapTopLeftY"
#define XtCFukidashiTapTopLeftY "FukidashiTapTopLeftY"
#define XtNfukidashiTapExtentX "fukidashiTapExtentX"
#define XtCFukidashiTapExtentX "FukidashiTapExtentX"
#define XtNfukidashiTapExtentY "fukidashiTapExtentY"
#define XtCFukidashiTapExtentY "FukidashiTapExtentY"
#define XtNforceFontExtentY "forceFontExtentY"
#define XtCForceFontExtentY "ForceFontExtentY"
#define XtNtitle1 "title1"
#define XtCTitle1 "Title1"
#define XtNtitle2 "title2"
#define XtCTitle2 "Title2"

/* */

typedef struct _CharClockRec *CharClockWidget;
typedef struct _CharClockClassRec *CharClockWidgetClass;

extern WidgetClass charClockWidgetClass;

#endif
